import { KeyedFetchDataState } from '@/types/fetchDataState';
import { Layer, LayerImage, LayerLine, LayerOval, LayerRect, LayerText } from '@/types/models';

export interface LayerStoreInterface {
  name: string;
  visible: boolean;
  locked: boolean;
  modelId: number;
}

export interface LayerUpdateInterface {
  layerId: number;
  name: string;
  visible: boolean;
  locked: boolean;
  modelId: number;
}

export type LayerState = {
  details: Layer;
  texts: { [key: string]: LayerText };
  rects: LayerRect[];
  ovals: LayerOval[];
  lines: LayerLine[];
  images: { [key: string]: LayerImage };
};

export type LayerVisibilityState = {
  [key: number]: boolean;
};

export type LayersVisibilitiesState = {
  layersVisibility: LayerVisibilityState;
  layers: LayerState[];
  activeLayer: number | null;
};

export type LayersState = KeyedFetchDataState<LayersVisibilitiesState>;
